IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:8600::/72- First address
2001:db8:0:0:8600::- Last address
2001:db8::86ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:8600:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
6.8.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:8600::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:8600::/80 | 2001:db8::8600:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:8601::/80 | 2001:db8::8601:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:8602::/80 | 2001:db8::8602:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:8603::/80 | 2001:db8::8603:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:8604::/80 | 2001:db8::8604:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:8605::/80 | 2001:db8::8605:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:8606::/80 | 2001:db8::8606:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:8607::/80 | 2001:db8::8607:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:8608::/80 | 2001:db8::8608:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:8609::/80 | 2001:db8::8609:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:860a::/80 | 2001:db8::860a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:860b::/80 | 2001:db8::860b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:860c::/80 | 2001:db8::860c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:860d::/80 | 2001:db8::860d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:860e::/80 | 2001:db8::860e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:860f::/80 | 2001:db8::860f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:8610::/80 | 2001:db8::8610:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:8611::/80 | 2001:db8::8611:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:8612::/80 | 2001:db8::8612:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:8613::/80 | 2001:db8::8613:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:8614::/80 | 2001:db8::8614:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:8615::/80 | 2001:db8::8615:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:8616::/80 | 2001:db8::8616:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:8617::/80 | 2001:db8::8617:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:8618::/80 | 2001:db8::8618:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:8619::/80 | 2001:db8::8619:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:861a::/80 | 2001:db8::861a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:861b::/80 | 2001:db8::861b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:861c::/80 | 2001:db8::861c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:861d::/80 | 2001:db8::861d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:861e::/80 | 2001:db8::861e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:861f::/80 | 2001:db8::861f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:8620::/80 | 2001:db8::8620:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:8621::/80 | 2001:db8::8621:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:8622::/80 | 2001:db8::8622:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:8623::/80 | 2001:db8::8623:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:8624::/80 | 2001:db8::8624:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:8625::/80 | 2001:db8::8625:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:8626::/80 | 2001:db8::8626:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:8627::/80 | 2001:db8::8627:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:8628::/80 | 2001:db8::8628:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:8629::/80 | 2001:db8::8629:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:862a::/80 | 2001:db8::862a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:862b::/80 | 2001:db8::862b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:862c::/80 | 2001:db8::862c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:862d::/80 | 2001:db8::862d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:862e::/80 | 2001:db8::862e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:862f::/80 | 2001:db8::862f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:8630::/80 | 2001:db8::8630:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:8631::/80 | 2001:db8::8631:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:8632::/80 | 2001:db8::8632:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:8633::/80 | 2001:db8::8633:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:8634::/80 | 2001:db8::8634:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:8635::/80 | 2001:db8::8635:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:8636::/80 | 2001:db8::8636:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:8637::/80 | 2001:db8::8637:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:8638::/80 | 2001:db8::8638:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:8639::/80 | 2001:db8::8639:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:863a::/80 | 2001:db8::863a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:863b::/80 | 2001:db8::863b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:863c::/80 | 2001:db8::863c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:863d::/80 | 2001:db8::863d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:863e::/80 | 2001:db8::863e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:863f::/80 | 2001:db8::863f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:8640::/80 | 2001:db8::8640:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:8641::/80 | 2001:db8::8641:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:8642::/80 | 2001:db8::8642:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:8643::/80 | 2001:db8::8643:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:8644::/80 | 2001:db8::8644:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:8645::/80 | 2001:db8::8645:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:8646::/80 | 2001:db8::8646:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:8647::/80 | 2001:db8::8647:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:8648::/80 | 2001:db8::8648:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:8649::/80 | 2001:db8::8649:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:864a::/80 | 2001:db8::864a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:864b::/80 | 2001:db8::864b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:864c::/80 | 2001:db8::864c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:864d::/80 | 2001:db8::864d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:864e::/80 | 2001:db8::864e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:864f::/80 | 2001:db8::864f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:8650::/80 | 2001:db8::8650:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:8651::/80 | 2001:db8::8651:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:8652::/80 | 2001:db8::8652:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:8653::/80 | 2001:db8::8653:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:8654::/80 | 2001:db8::8654:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:8655::/80 | 2001:db8::8655:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:8656::/80 | 2001:db8::8656:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:8657::/80 | 2001:db8::8657:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:8658::/80 | 2001:db8::8658:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:8659::/80 | 2001:db8::8659:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:865a::/80 | 2001:db8::865a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:865b::/80 | 2001:db8::865b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:865c::/80 | 2001:db8::865c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:865d::/80 | 2001:db8::865d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:865e::/80 | 2001:db8::865e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:865f::/80 | 2001:db8::865f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:8660::/80 | 2001:db8::8660:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:8661::/80 | 2001:db8::8661:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:8662::/80 | 2001:db8::8662:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:8663::/80 | 2001:db8::8663:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:8664::/80 | 2001:db8::8664:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:8665::/80 | 2001:db8::8665:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:8666::/80 | 2001:db8::8666:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:8667::/80 | 2001:db8::8667:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:8668::/80 | 2001:db8::8668:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:8669::/80 | 2001:db8::8669:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:866a::/80 | 2001:db8::866a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:866b::/80 | 2001:db8::866b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:866c::/80 | 2001:db8::866c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:866d::/80 | 2001:db8::866d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:866e::/80 | 2001:db8::866e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:866f::/80 | 2001:db8::866f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:8670::/80 | 2001:db8::8670:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:8671::/80 | 2001:db8::8671:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:8672::/80 | 2001:db8::8672:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:8673::/80 | 2001:db8::8673:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:8674::/80 | 2001:db8::8674:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:8675::/80 | 2001:db8::8675:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:8676::/80 | 2001:db8::8676:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:8677::/80 | 2001:db8::8677:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:8678::/80 | 2001:db8::8678:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:8679::/80 | 2001:db8::8679:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:867a::/80 | 2001:db8::867a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:867b::/80 | 2001:db8::867b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:867c::/80 | 2001:db8::867c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:867d::/80 | 2001:db8::867d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:867e::/80 | 2001:db8::867e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:867f::/80 | 2001:db8::867f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:8680::/80 | 2001:db8::8680:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:8681::/80 | 2001:db8::8681:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:8682::/80 | 2001:db8::8682:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:8683::/80 | 2001:db8::8683:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:8684::/80 | 2001:db8::8684:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:8685::/80 | 2001:db8::8685:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:8686::/80 | 2001:db8::8686:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:8687::/80 | 2001:db8::8687:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:8688::/80 | 2001:db8::8688:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:8689::/80 | 2001:db8::8689:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:868a::/80 | 2001:db8::868a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:868b::/80 | 2001:db8::868b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:868c::/80 | 2001:db8::868c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:868d::/80 | 2001:db8::868d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:868e::/80 | 2001:db8::868e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:868f::/80 | 2001:db8::868f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:8690::/80 | 2001:db8::8690:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:8691::/80 | 2001:db8::8691:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:8692::/80 | 2001:db8::8692:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:8693::/80 | 2001:db8::8693:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:8694::/80 | 2001:db8::8694:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:8695::/80 | 2001:db8::8695:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:8696::/80 | 2001:db8::8696:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:8697::/80 | 2001:db8::8697:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:8698::/80 | 2001:db8::8698:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:8699::/80 | 2001:db8::8699:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:869a::/80 | 2001:db8::869a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:869b::/80 | 2001:db8::869b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:869c::/80 | 2001:db8::869c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:869d::/80 | 2001:db8::869d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:869e::/80 | 2001:db8::869e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:869f::/80 | 2001:db8::869f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:86a0::/80 | 2001:db8::86a0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:86a1::/80 | 2001:db8::86a1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:86a2::/80 | 2001:db8::86a2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:86a3::/80 | 2001:db8::86a3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:86a4::/80 | 2001:db8::86a4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:86a5::/80 | 2001:db8::86a5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:86a6::/80 | 2001:db8::86a6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:86a7::/80 | 2001:db8::86a7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:86a8::/80 | 2001:db8::86a8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:86a9::/80 | 2001:db8::86a9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:86aa::/80 | 2001:db8::86aa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:86ab::/80 | 2001:db8::86ab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:86ac::/80 | 2001:db8::86ac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:86ad::/80 | 2001:db8::86ad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:86ae::/80 | 2001:db8::86ae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:86af::/80 | 2001:db8::86af:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:86b0::/80 | 2001:db8::86b0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:86b1::/80 | 2001:db8::86b1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:86b2::/80 | 2001:db8::86b2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:86b3::/80 | 2001:db8::86b3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:86b4::/80 | 2001:db8::86b4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:86b5::/80 | 2001:db8::86b5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:86b6::/80 | 2001:db8::86b6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:86b7::/80 | 2001:db8::86b7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:86b8::/80 | 2001:db8::86b8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:86b9::/80 | 2001:db8::86b9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:86ba::/80 | 2001:db8::86ba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:86bb::/80 | 2001:db8::86bb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:86bc::/80 | 2001:db8::86bc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:86bd::/80 | 2001:db8::86bd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:86be::/80 | 2001:db8::86be:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:86bf::/80 | 2001:db8::86bf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:86c0::/80 | 2001:db8::86c0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:86c1::/80 | 2001:db8::86c1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:86c2::/80 | 2001:db8::86c2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:86c3::/80 | 2001:db8::86c3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:86c4::/80 | 2001:db8::86c4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:86c5::/80 | 2001:db8::86c5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:86c6::/80 | 2001:db8::86c6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:86c7::/80 | 2001:db8::86c7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:86c8::/80 | 2001:db8::86c8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:86c9::/80 | 2001:db8::86c9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:86ca::/80 | 2001:db8::86ca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:86cb::/80 | 2001:db8::86cb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:86cc::/80 | 2001:db8::86cc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:86cd::/80 | 2001:db8::86cd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:86ce::/80 | 2001:db8::86ce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:86cf::/80 | 2001:db8::86cf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:86d0::/80 | 2001:db8::86d0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:86d1::/80 | 2001:db8::86d1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:86d2::/80 | 2001:db8::86d2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:86d3::/80 | 2001:db8::86d3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:86d4::/80 | 2001:db8::86d4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:86d5::/80 | 2001:db8::86d5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:86d6::/80 | 2001:db8::86d6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:86d7::/80 | 2001:db8::86d7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:86d8::/80 | 2001:db8::86d8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:86d9::/80 | 2001:db8::86d9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:86da::/80 | 2001:db8::86da:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:86db::/80 | 2001:db8::86db:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:86dc::/80 | 2001:db8::86dc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:86dd::/80 | 2001:db8::86dd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:86de::/80 | 2001:db8::86de:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:86df::/80 | 2001:db8::86df:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:86e0::/80 | 2001:db8::86e0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:86e1::/80 | 2001:db8::86e1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:86e2::/80 | 2001:db8::86e2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:86e3::/80 | 2001:db8::86e3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:86e4::/80 | 2001:db8::86e4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:86e5::/80 | 2001:db8::86e5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:86e6::/80 | 2001:db8::86e6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:86e7::/80 | 2001:db8::86e7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:86e8::/80 | 2001:db8::86e8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:86e9::/80 | 2001:db8::86e9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:86ea::/80 | 2001:db8::86ea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:86eb::/80 | 2001:db8::86eb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:86ec::/80 | 2001:db8::86ec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:86ed::/80 | 2001:db8::86ed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:86ee::/80 | 2001:db8::86ee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:86ef::/80 | 2001:db8::86ef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:86f0::/80 | 2001:db8::86f0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:86f1::/80 | 2001:db8::86f1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:86f2::/80 | 2001:db8::86f2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:86f3::/80 | 2001:db8::86f3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:86f4::/80 | 2001:db8::86f4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:86f5::/80 | 2001:db8::86f5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:86f6::/80 | 2001:db8::86f6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:86f7::/80 | 2001:db8::86f7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:86f8::/80 | 2001:db8::86f8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:86f9::/80 | 2001:db8::86f9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:86fa::/80 | 2001:db8::86fa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:86fb::/80 | 2001:db8::86fb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:86fc::/80 | 2001:db8::86fc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:86fd::/80 | 2001:db8::86fd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:86fe::/80 | 2001:db8::86fe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:86ff::/80 | 2001:db8::86ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |